LibreOffice: TextGraphicObject Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
TextGraphicObject Service Referencepublished

specifies a graphic which can be embedded in Text. More...

Inheritance diagram for TextGraphicObject:

## Included Services
service | BaseFrame
| contains the definition of interfaces and properties that are supported by text frames, graphic objects and embedded objects.
Included Services inherited from BaseFrame
service | BaseFrameProperties
service | TextContent
Included Services inherited from BaseFrameProperties
service | com::sun::star::xml::UserDefinedAttributesSupplier
| gives access to the UserDefinedAttributes property.

## Public Attributes
com::sun::star::container::XIndexContainer | ImageMap
| returns the client-side image map if one is assigned to the object.
boolean | ContentProtected
| determines if the content is protected against changes from the user interface.
boolean | SurroundContour
| determines if the text wraps around the contour of the object.
boolean | ContourOutside
| the text flows only around the contour of the object.
com::sun::star::drawing::PointSequenceSequence | ContourPolyPolygon
| contains the contour of the object as PolyPolygon.
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object.
boolean | HoriMirroredOnEvenPages
| determines if the object is horizontally mirrored on even pages.
boolean | HoriMirroredOnOddPages
| determines if the object is horizontally mirrored on odd pages.
boolean | VertMirrored
| determines if the object is mirrored vertically.
string | GraphicURL
| contains the URL of the background graphic of the object
string | GraphicFilter
| contains the name of the filter of the background graphic of the object.
com::sun::star::awt::Size | ActualSize
| contains the original size of the bitmap in the graphic object.
short | AdjustLuminance
| changes the display of the luminance.
short | AdjustContrast
| changes the display of contrast.
short | AdjustRed
| changes the display of the red color channel.
short | AdjustGreen
| changes the display of the green color channel.
short | AdjustBlue
| changes the display of the blue color channel.
double | Gamma
| determines the gamma value of the graphic.
boolean | GraphicIsInverted
| determines if the graphic is display in inverted colors.
short | Transparency
| contains percentage values between -100 and +100.
com::sun::star::drawing::ColorMode | GraphicColorMode
| contains the ColorMode as com::sun::star::drawing::ColorMode.
com::sun::star::graphic::XGraphic | Graphic
| contains the background graphic of the object.
Public Attributes inherited from BaseFrame
string | FrameStyleName
| contains the name of the frame style that is applied to this object.
Public Attributes inherited from BaseFrameProperties
short | AnchorPageNo
| contains the number of the page where the objects are anchored.
com::sun::star::text::XTextFrame | AnchorFrame
| contains the text frame the current frame is anchored to.
com::sun::star::util::Color | BackColor
| contains the color of the background of the object.
string | BackGraphicURL
| contains the URL for the background graphic.
string | BackGraphicFilter
| contains the name of the file filter for the background graphic.
com::sun::star::style::GraphicLocation | BackGraphicLocation
| determines the position of the background graphic.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
boolean | BackTransparent
| If TRUE, the "BackColor" is ignored.
boolean | ContentProtected
| determines if the content is protected.
long | LeftMargin
| contains the left margin of the object.
long | RightMargin
| contains the right margin of the object.
long | TopMargin
| contains the top margin of the object.
long | BottomMargin
| contains the bottom margin of the object.
long | Height
| contains the height of the object (1/100 mm).
long | Width
| contains the width of the object (1/100 mm).
short | RelativeHeight
| contains the relative height of the object.
short | RelativeWidth
| contains the relative width of the object.
boolean | IsSyncWidthToHeight
| determines whether the width follows the height.
boolean | IsSyncHeightToWidth
| determines whether the height follows the width.
short | HoriOrient
| determines the horizontal orientation of the object.
long | HoriOrientPosition
| contains the horizontal position of the object (1/100 mm).
short | HoriOrientRelation
| determines the environment of the object to which the orientation is related.
short | VertOrient
| determines the vertical orientation of the object.
long | VertOrientPosition
| contains the vertical position of the object (1/100 mm).
short | VertOrientRelation
| determines the environment of the object to which the orientation is related.
string | HyperLinkURL
| contains the URL of a hyperlink that is set at the object.
string | HyperLinkTarget
| contains the name of the target for a hyperlink that is set at the object.
string | HyperLinkName
| contains the name of the hyperlink that is set at the object.
boolean | Opaque
| determines if the object is opaque or transparent for text.
boolean | PageToggle
| determines if the object is mirrored on even pages.
boolean | PositionProtected
| determines if the position is protected.
boolean | Print
| determines if the object is included in printing.
com::sun::star::table::ShadowFormat | ShadowFormat
| contains the type of the shadow of the object.
boolean | ServerMap
| determines if the object gets an image map from a server.
com::sun::star::awt::Size | Size
| contains the size of the object.
boolean | SizeProtected
| determines if the size is protected.
com::sun::star::text::WrapTextMode | Surround
| determines the type of the surrounding text.
boolean | SurroundAnchorOnly
| determines if the text of the paragraph in which the object is anchored, wraps around the object.
short | WrapInfluenceOnPosition
| determines the influence of the text wrap on the positioning of the shape
com::sun::star::awt::Size | LayoutSize
| returns the actual size of the object.
string | Title
| contains short title for the object
string | Description
| contains description for the object
com::sun::star::drawing::FillStyle | FillStyle
| This enumeration selects the style the area will be filled with.
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used.
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the gradient used.
short | ShadowTransparence
| This defines the degree of transparence of the shadow in percent.
short | RelativeHeightRelation
| contains the relation of the relative height of the object.
short | RelativeWidthRelation
| contains the relation of the relative width of the object.
com::sun::star::graphic::XGraphic | BackGraphic
| contains the graphic for the background.
boolean | AllowOverlap
| This defines if the frame is allowed to overlap with other anchored objects.
string | Tooltip
| Contains popup text for the frame, used to for tooltip purposes if it's non-empty.
boolean | Decorative
| Determines if the frame is purely decorative.
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text.
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape.

## Additional Inherited Members
Public Types inherited from BaseFrameProperties
typedef sequence< com::sun::star::beans::PropertyValue > | FrameInteropGrabBag
| Grab bag of frame properties, used as a string-any map for interim interop purposes.
Public Types inherited from TextContent
typedef sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content.
Exported Interfaces inherited from BaseFrame
interface | com::sun::star::drawing::XShape
| This interface specifies the access to the shape data (position and size) of the text frame.
interface | com::sun::star::beans::XPropertySet
| This interface makes it possible to access the properties of this text frame.
interface | com::sun::star::container::XNamed
| This interface specifies the name of this text frame.
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text.
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text.
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Protected Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.

## Detailed Description

specifies a graphic which can be embedded in Text.

Developers Guide
  Text Documents - Shape Objects in Text

## Exported Interfaces

## ◆ BaseFrame

service BaseFrame

contains the definition of interfaces and properties that are supported by text frames, graphic objects and embedded objects.

## Member Data Documentation

## ◆ ActualSize

com::sun::star::awt::Size ActualSize
| property

contains the original size of the bitmap in the graphic object.

## ◆ AdjustBlue

short AdjustBlue
| property

changes the display of the blue color channel.

It contains percentage values between -100 and +100.

## ◆ AdjustContrast

short AdjustContrast
| property

changes the display of contrast.

It contains percentage values between -100 and +100.

## ◆ AdjustGreen

short AdjustGreen
| property

changes the display of the green color channel.

It contains percentage values between -100 and +100.

## ◆ AdjustLuminance

short AdjustLuminance
| property

changes the display of the luminance.

It contains percentage values between -100 and +100.

## ◆ AdjustRed

short AdjustRed
| property

changes the display of the red color channel.

It contains percentage values between -100 and +100.

## ◆ ContentProtected

boolean ContentProtected
| property

determines if the content is protected against changes from the user interface.

## ◆ ContourOutside

boolean ContourOutside
| property

the text flows only around the contour of the object.

## ◆ ContourPolyPolygon

com::sun::star::drawing::PointSequenceSequence ContourPolyPolygon
| optionalproperty

contains the contour of the object as PolyPolygon.

## ◆ Gamma

double Gamma
| property

determines the gamma value of the graphic.

## ◆ Graphic

com::sun::star::graphic::XGraphic Graphic
| optionalproperty

contains the background graphic of the object.

## ◆ GraphicColorMode

com::sun::star::drawing::ColorMode GraphicColorMode
| property

contains the ColorMode as com::sun::star::drawing::ColorMode.

## ◆ GraphicCrop

com::sun::star::text::GraphicCrop GraphicCrop
| property

contains the cropping of the object.

See also
  GraphicCrop

## ◆ GraphicFilter

string GraphicFilter
| property

contains the name of the filter of the background graphic of the object.

## ◆ GraphicIsInverted

boolean GraphicIsInverted
| property

determines if the graphic is display in inverted colors.

It contains percentage values between -100 and +100.

## ◆ GraphicURL

string GraphicURL
| property

contains the URL of the background graphic of the object

Deprecated:
  as of LibreOffice 6.1 - use Graphic instead

Note the new behaviour since it was deprecated: This property can only be set and only external URLs are supported (no more vnd.sun.star.GraphicObject scheme). When a URL is set, then it will load the image and set the Graphic property.

## ◆ HoriMirroredOnEvenPages

boolean HoriMirroredOnEvenPages
| property

determines if the object is horizontally mirrored on even pages.

## ◆ HoriMirroredOnOddPages

boolean HoriMirroredOnOddPages
| property

determines if the object is horizontally mirrored on odd pages.

## ◆ ImageMap

com::sun::star::container::XIndexContainer ImageMap
| property

returns the client-side image map if one is assigned to the object.

## ◆ SurroundContour

boolean SurroundContour
| property

determines if the text wraps around the contour of the object.

## ◆ Transparency

short Transparency
| property

contains percentage values between -100 and +100.

## ◆ VertMirrored

boolean VertMirrored
| property

determines if the object is mirrored vertically.

The documentation for this service was generated from the following file:

- com/sun/star/text/TextGraphicObject.idl